Bug 654266

Summary: Maven2 package drags in a lot of non required dependencies
Product: [Fedora] Fedora Reporter: Diego <diego.ml>
Component: maven2Assignee: Yong Yang <yyang>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: akurtako, dbhole, java-sig-commits, sochotni, yyang
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-08 13:14:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Diego 2010-11-17 10:57:35 UTC
Description of problem:
Maven2 package ask for installation of a lot of unneeded packages.

Version-Release number of selected component (if applicable):
Name        : maven2
Arch        : noarch
Version     : 2.0.8
Release     : 3.fc12
Size        : 1.6 M
Repo        : fedora

How reproducible:
always

Steps to Reproduce:
1. yum install maven2
  
Actual results:

Plugin abilitati:auto-update-debuginfo, presto, refresh-packagekit
Found 142 installed debuginfo package(s)
Enabling fedora-debuginfo: Fedora 13 - x86_64 - Debug
Enabling rpmfusion-nonfree-debuginfo: RPM Fusion for Fedora 13 - Nonfree - Debug
Enabling rpmfusion-free-updates-debuginfo: RPM Fusion for Fedora 13 - Free - Updates Debug
Enabling rpmfusion-nonfree-updates-debuginfo: RPM Fusion for Fedora 13 - Nonfree - Updates Debug
Enabling rpmfusion-free-debuginfo: RPM Fusion for Fedora 13 - Free - Debug
Enabling updates-debuginfo: Fedora 13 - x86_64 - Updates - Debug
Impostazione processo di installazione
Risoluzione dipendenze
--> Esecuzione del controllo di transazione
---> Pacchetto maven2.noarch 0:2.0.8-3.fc12 settato per essere installato
--> Elaborazione dipendenza: plexus-compiler >= 1.5.1 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jakarta-commons-cli >= 1.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jtidy >= 1.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: modello >= 1.0-0.a8.3 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: dom4j >= 1.6.1 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven2-common-poms >= 1.0-8 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-jxr >= 1.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-interactivity >= 1.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-bsh-factory >= 1.0-0.a7s.2 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jaxen >= 1.1 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: bsh >= 1.3.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-ant-factory >= 1.0-0.a1.2 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: httpunit >= 1.6 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-container-default >= 1.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-i18n >= 1.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-doxia >= 1.0-0.a9 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jakarta-commons-collections >= 3.1 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-interactivity >= 1.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: pmd >= 3.6 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jakarta-commons-validator >= 1.1.4 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-archiver >= 1.0-0.a6 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jakarta-commons-io >= 1.1 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-surefire >= 2.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-container-default >= 1.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-surefire-booter >= 2.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: classworlds >= 1.1 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-doxia >= 1.0-0.a9 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-velocity >= 1.1.2 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jakarta-commons-lang >= 2.1 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-wagon >= 1.0-0.1.b2 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jakarta-commons-cli >= 1.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jakarta-commons-beanutils >= 1.7.0 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: nekohtml >= 0.9.3 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-utils >= 1.2 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-scm >= 1.0-0.b3.2 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: gnu.regexp >= 1.1.4 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: classworlds >= 1. per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-shared-file-management >= 1.0-4 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: plexus-utils >= 1.2 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: velocity >= 1.4 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: checkstyle >= 4.1 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-scm-test >= 1.0-0.b3.2 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: jakarta-commons-lang >= 2.1 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: modello-maven-plugin >= 1.0-0.a8.3 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-wagon >= 1.0-0.1.b2 per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: xmlrpc per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-shared-invoker per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: aqute-bndlib per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-enforcer-rule-api per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-shared-verifier per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-shared-io per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-shared-model-converter per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: maven-shared-jar per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: xmlunit per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Elaborazione dipendenza: xom per il pacchetto: maven2-2.0.8-3.fc12.noarch
--> Esecuzione del controllo di transazione
---> Pacchetto aqute-bndlib.noarch 0:0.0.363-1.fc12 settato per essere installato
---> Pacchetto bsh.noarch 0:1.3.0-15.2.fc13 settato per essere installato
---> Pacchetto checkstyle.noarch 0:4.1-7.fc12 settato per essere installato
--> Elaborazione dipendenza: jakarta-commons-beanutils-javadoc per il pacchetto: checkstyle-4.1-7.fc12.noarch
--> Elaborazione dipendenza: antlr-javadoc per il pacchetto: checkstyle-4.1-7.fc12.noarch
--> Elaborazione dipendenza: xml-commons-apis-javadoc per il pacchetto: checkstyle-4.1-7.fc12.noarch
--> Elaborazione dipendenza: ant-javadoc per il pacchetto: checkstyle-4.1-7.fc12.noarch
---> Pacchetto classworlds.noarch 0:1.1-4.fc12 settato per essere installato
---> Pacchetto dom4j.noarch 0:1.6.1-5.fc12 settato per essere installato
--> Elaborazione dipendenza: jaxp = 1.2 per il pacchetto: dom4j-1.6.1-5.fc12.noarch
--> Elaborazione dipendenza: isorelax per il pacchetto: dom4j-1.6.1-5.fc12.noarch
--> Elaborazione dipendenza: xpp2 per il pacchetto: dom4j-1.6.1-5.fc12.noarch
--> Elaborazione dipendenza: relaxngDatatype per il pacchetto: dom4j-1.6.1-5.fc12.noarch
--> Elaborazione dipendenza: msv-xsdlib per il pacchetto: dom4j-1.6.1-5.fc12.noarch
--> Elaborazione dipendenza: ws-jaxme per il pacchetto: dom4j-1.6.1-5.fc12.noarch
--> Elaborazione dipendenza: xpp3 per il pacchetto: dom4j-1.6.1-5.fc12.noarch
--> Elaborazione dipendenza: msv-msv per il pacchetto: dom4j-1.6.1-5.fc12.noarch
---> Pacchetto gnu-regexp.noarch 0:1.1.4-13.fc12 settato per essere installato
---> Pacchetto httpunit.noarch 0:1.6.2-4.fc12 settato per essere installato
---> Pacchetto jakarta-commons-beanutils.x86_64 0:1.7.0-12.3.fc12 settato per essere installato
---> Pacchetto jakarta-commons-cli.x86_64 0:1.1-5.fc12 settato per essere installato
---> Pacchetto jakarta-commons-collections.x86_64 0:3.2.1-3.fc12 settato per essere installato
---> Pacchetto jakarta-commons-io.noarch 0:1.4-2.fc13 settato per essere installato
---> Pacchetto jakarta-commons-lang.x86_64 0:2.4-1.fc13 settato per essere installato
---> Pacchetto jakarta-commons-validator.noarch 0:1.3.1-1.fc13 settato per essere installato
--> Elaborazione dipendenza: jakarta-commons-digester >= 1.3 per il pacchetto: jakarta-commons-validator-1.3.1-1.fc13.noarch
---> Pacchetto jaxen.noarch 0:1.1.1-3.1.fc12 settato per essere installato
---> Pacchetto jtidy.x86_64 2:1.0-0.4.r7dev.1.5.fc13 settato per essere installato
---> Pacchetto maven-doxia.noarch 0:1.0-0.8.a10.4.fc13 settato per essere installato
---> Pacchetto maven-enforcer-rule-api.noarch 0:1.0-0.1.a2.1.5.fc12 settato per essere installato
---> Pacchetto maven-jxr.noarch 0:2.1-6.fc12 settato per essere installato
---> Pacchetto maven-scm.noarch 0:1.2-5.fc13 settato per essere installato
--> Elaborazione dipendenza: netbeans-ide >= 6.7.1 per il pacchetto: maven-scm-1.2-5.fc13.noarch
---> Pacchetto maven-scm-test.noarch 0:1.2-5.fc13 settato per essere installato
---> Pacchetto maven-shared-file-management.noarch 0:1.2-4.fc13 settato per essere installato
--> Elaborazione dipendenza: maven-shared = 8-4.fc13 per il pacchetto: maven-shared-file-management-1.2-4.fc13.noarch
---> Pacchetto maven-shared-invoker.noarch 0:2.0.7-4.fc13 settato per essere installato
--> Elaborazione dipendenza: maven-shared-monitor >= 1.0-4.fc13 per il pacchetto: maven-shared-invoker-2.0.7-4.fc13.noarch
---> Pacchetto maven-shared-io.noarch 0:1.1-4.fc13 settato per essere installato
---> Pacchetto maven-shared-jar.noarch 0:1.1-4.fc13 settato per essere installato
---> Pacchetto maven-shared-model-converter.noarch 0:2.3-4.fc13 settato per essere installato
---> Pacchetto maven-shared-verifier.noarch 0:1.2-4.fc13 settato per essere installato
---> Pacchetto maven-surefire.noarch 0:2.3-7.7.fc12 settato per essere installato
---> Pacchetto maven-wagon.noarch 0:1.0-0.2.b2.7.fc12 settato per essere installato
--> Elaborazione dipendenza: ganymed-ssh2 per il pacchetto: maven-wagon-1.0-0.2.b2.7.fc12.noarch
---> Pacchetto maven2-common-poms.noarch 0:1.0-12.fc13 settato per essere installato
---> Pacchetto modello.noarch 0:1.0-0.4.a15.0.1.fc12 settato per essere installato
--> Elaborazione dipendenza: dtdparser per il pacchetto: modello-1.0-0.4.a15.0.1.fc12.noarch
---> Pacchetto nekohtml.noarch 0:0.9.5-6.2.fc12 settato per essere installato
---> Pacchetto plexus-ant-factory.noarch 0:1.0-0.4.a2.1.2.fc13 settato per essere installato
---> Pacchetto plexus-archiver.noarch 0:1.0-0.4.a12.4.fc13 settato per essere installato
--> Elaborazione dipendenza: plexus-io per il pacchetto: plexus-archiver-1.0-0.4.a12.4.fc13.noarch
---> Pacchetto plexus-bsh-factory.noarch 0:1.0-0.4.a7s.1.11.fc13 settato per essere installato
---> Pacchetto plexus-compiler.noarch 0:1.5.2-4.3.fc12 settato per essere installato
---> Pacchetto plexus-container-default.noarch 0:1.0-0.3.a8.1.2.fc12 settato per essere installato
---> Pacchetto plexus-i18n.noarch 0:1.0-0.b10.2.fc13 settato per essere installato
---> Pacchetto plexus-interactivity.noarch 0:1.0-0.3.a5.2.3.fc12 settato per essere installato
---> Pacchetto plexus-utils.noarch 0:1.4.5-1.2.fc12 settato per essere installato
---> Pacchetto plexus-velocity.noarch 0:1.1.8-5.fc13 settato per essere installato
---> Pacchetto pmd.noarch 0:4.2.5-5.fc13 settato per essere installato
---> Pacchetto velocity.noarch 0:1.6.3-3.fc13 settato per essere installato
--> Elaborazione dipendenza: werken-xpath >= 0.9.4-5.beta.12.3 per il pacchetto: velocity-1.6.3-3.fc13.noarch
--> Elaborazione dipendenza: hsqldb per il pacchetto: velocity-1.6.3-3.fc13.noarch
---> Pacchetto xmlrpc.x86_64 0:2.0.1-6.6.fc13 settato per essere installato
---> Pacchetto xmlunit.x86_64 0:1.0-8.3.fc13 settato per essere installato
---> Pacchetto xom.noarch 0:1.0-5.6.fc13 settato per essere installato
--> Elaborazione dipendenza: icu4j per il pacchetto: xom-1.0-5.6.fc13.noarch
--> Esecuzione del controllo di transazione
---> Pacchetto ant-javadoc.x86_64 0:1.7.1-13.fc13 settato per essere installato
---> Pacchetto antlr-javadoc.x86_64 0:2.7.7-6.fc12 settato per essere installato
---> Pacchetto dtdparser.x86_64 0:1.21-7.fc12 settato per essere installato
---> Pacchetto ganymed-ssh2.x86_64 0:210-8.fc12 settato per essere installato
---> Pacchetto hsqldb.x86_64 1:1.8.0.10-5.fc13 settato per essere installato
---> Pacchetto icu4j.x86_64 1:4.0.1-5.fc13 settato per essere installato
---> Pacchetto isorelax.noarch 1:0-0.4.release20050331.fc12 settato per essere installato
---> Pacchetto jakarta-commons-beanutils-javadoc.x86_64 0:1.7.0-12.3.fc12 settato per essere installato
---> Pacchetto jakarta-commons-digester.noarch 0:1.8.1-2.fc13 settato per essere installato
---> Pacchetto maven-shared.noarch 0:8-4.fc13 settato per essere installato
---> Pacchetto maven-shared-monitor.noarch 0:1.0-4.fc13 settato per essere installato
---> Pacchetto msv-msv.x86_64 1:1.2-0.4.20050722.3.4.fc12.1 settato per essere installato
---> Pacchetto msv-xsdlib.x86_64 1:1.2-0.4.20050722.3.4.fc12.1 settato per essere installato
---> Pacchetto netbeans-ide.noarch 0:6.8-6.fc13 settato per essere installato
--> Elaborazione dipendenza: netbeans-svnclientadapter >= 6.7.1 per il pacchetto: netbeans-ide-6.8-6.fc13.noarch
--> Elaborazione dipendenza: netbeans-resolver >= 6.7.1 per il pacchetto: netbeans-ide-6.8-6.fc13.noarch
--> Elaborazione dipendenza: freemarker >= 2.3.8 per il pacchetto: netbeans-ide-6.8-6.fc13.noarch
--> Elaborazione dipendenza: jvyamlb per il pacchetto: netbeans-ide-6.8-6.fc13.noarch
--> Elaborazione dipendenza: subversion-javahl per il pacchetto: netbeans-ide-6.8-6.fc13.noarch
--> Elaborazione dipendenza: bytelist per il pacchetto: netbeans-ide-6.8-6.fc13.noarch
--> Elaborazione dipendenza: ini4j per il pacchetto: netbeans-ide-6.8-6.fc13.noarch
--> Elaborazione dipendenza: swingx per il pacchetto: netbeans-ide-6.8-6.fc13.noarch
---> Pacchetto plexus-io.noarch 0:1.0-0.2.a5.fc13 settato per essere installato
---> Pacchetto relaxngDatatype.noarch 0:1.0-5.3.fc13 settato per essere installato
---> Pacchetto werken-xpath.x86_64 0:0.9.4-5.beta.12.3.fc13 settato per essere installato
---> Pacchetto ws-jaxme.noarch 0:0.5.1-4.4.fc12 settato per essere installato
--> Elaborazione dipendenza: xmldb-api per il pacchetto: ws-jaxme-0.5.1-4.4.fc12.noarch
--> Elaborazione dipendenza: xmldb-api-sdk per il pacchetto: ws-jaxme-0.5.1-4.4.fc12.noarch
---> Pacchetto xml-commons-apis-javadoc.noarch 0:1.4.01-1.fc13 settato per essere installato
---> Pacchetto xml-commons-apis12.x86_64 0:1.2.04-3.5.fc12 settato per essere installato
---> Pacchetto xpp2.noarch 0:2.1.10-8.3.fc13 settato per essere installato
---> Pacchetto xpp3.noarch 0:1.1.3.8-3.3.fc13 settato per essere installato
--> Esecuzione del controllo di transazione
---> Pacchetto bytelist.noarch 0:1.0.3-2.fc13 settato per essere installato
--> Elaborazione dipendenza: jcodings per il pacchetto: bytelist-1.0.3-2.fc13.noarch
---> Pacchetto freemarker.noarch 0:2.3.13-8.fc13 settato per essere installato
---> Pacchetto ini4j.noarch 0:0.4.1-2.fc12 settato per essere installato
---> Pacchetto jvyamlb.noarch 0:0.2.5-4.fc13 settato per essere installato
--> Elaborazione dipendenza: joda-time per il pacchetto: jvyamlb-0.2.5-4.fc13.noarch
---> Pacchetto netbeans-resolver.noarch 0:6.7.1-1.fc12 settato per essere installato
---> Pacchetto netbeans-svnclientadapter.noarch 0:6.7.1-2.fc12 settato per essere installato
---> Pacchetto subversion-javahl.x86_64 0:1.6.13-1.fc13 settato per essere installato
---> Pacchetto swingx.noarch 0:0.9.4-7.fc12 settato per essere installato
---> Pacchetto xmldb-api.x86_64 1:0.1-0.4.20011111cvs.1.3.fc12 settato per essere installato
---> Pacchetto xmldb-api-sdk.x86_64 1:0.1-0.4.20011111cvs.1.3.fc12 settato per essere installato
--> Esecuzione del controllo di transazione
---> Pacchetto jcodings.noarch 0:1.0.2-2.fc13 settato per essere installato
---> Pacchetto joda-time.noarch 0:1.6-3.tzdata2008i.fc12 settato per essere installato
--> Risoluzione delle dipendenze completata

Dipendenze risolte

================================================================================
 Pacchetto                   Arch   Versione                       Repository
                                                                           Dim.
================================================================================
Installazione:
 maven2                      noarch 2.0.8-3.fc12                   fedora 1.6 M
Installazioni per dipendenze:
 ant-javadoc                 x86_64 1.7.1-13.fc13                  fedora 1.1 M
 antlr-javadoc               x86_64 2.7.7-6.fc12                   fedora 168 k
 aqute-bndlib                noarch 0.0.363-1.fc12                 fedora 405 k
 bsh                         noarch 1.3.0-15.2.fc13                fedora 624 k
 bytelist                    noarch 1.0.3-2.fc13                   fedora  12 k
 checkstyle                  noarch 4.1-7.fc12                     fedora 471 k
 classworlds                 noarch 1.1-4.fc12                     fedora  38 k
 dom4j                       noarch 1.6.1-5.fc12                   fedora 293 k
 dtdparser                   x86_64 1.21-7.fc12                    fedora 105 k
 freemarker                  noarch 2.3.13-8.fc13                  fedora 775 k
 ganymed-ssh2                x86_64 210-8.fc12                     fedora 459 k
 gnu-regexp                  noarch 1.1.4-13.fc12                  fedora  66 k
 hsqldb                      x86_64 1:1.8.0.10-5.fc13              fedora 1.9 M
 httpunit                    noarch 1.6.2-4.fc12                   fedora 366 k
 icu4j                       x86_64 1:4.0.1-5.fc13                 fedora 4.9 M
 ini4j                       noarch 0.4.1-2.fc12                   fedora  75 k
 isorelax                    noarch 1:0-0.4.release20050331.fc12   fedora  70 k
 jakarta-commons-beanutils   x86_64 1.7.0-12.3.fc12                fedora 316 k
 jakarta-commons-beanutils-javadoc
                             x86_64 1.7.0-12.3.fc12                fedora 139 k
 jakarta-commons-cli         x86_64 1.1-5.fc12                     fedora  72 k
 jakarta-commons-collections x86_64 3.2.1-3.fc12                   fedora 895 k
 jakarta-commons-digester    noarch 1.8.1-2.fc13                   fedora 143 k
 jakarta-commons-io          noarch 1.4-2.fc13                     fedora 108 k
 jakarta-commons-lang        x86_64 2.4-1.fc13                     fedora 513 k
 jakarta-commons-validator   noarch 1.3.1-1.fc13                   fedora 138 k
 jaxen                       noarch 1.1.1-3.1.fc12                 fedora 200 k
 jcodings                    noarch 1.0.2-2.fc13                   fedora 266 k
 joda-time                   noarch 1.6-3.tzdata2008i.fc12         fedora 439 k
 jtidy                       x86_64 2:1.0-0.4.r7dev.1.5.fc13       fedora 370 k
 jvyamlb                     noarch 0.2.5-4.fc13                   fedora 205 k
 maven-doxia                 noarch 1.0-0.8.a10.4.fc13             fedora 372 k
 maven-enforcer-rule-api     noarch 1.0-0.1.a2.1.5.fc12            fedora 9.8 k
 maven-jxr                   noarch 2.1-6.fc12                     fedora  45 k
 maven-scm                   noarch 1.2-5.fc13                     fedora 2.4 M
 maven-scm-test              noarch 1.2-5.fc13                     fedora 168 k
 maven-shared                noarch 8-4.fc13                       fedora 8.0 k
 maven-shared-file-management
                             noarch 1.2-4.fc13                     fedora  33 k
 maven-shared-invoker        noarch 2.0.7-4.fc13                   fedora  23 k
 maven-shared-io             noarch 1.1-4.fc13                     fedora  34 k
 maven-shared-jar            noarch 1.1-4.fc13                     fedora  33 k
 maven-shared-model-converter
                             noarch 2.3-4.fc13                     fedora  59 k
 maven-shared-monitor        noarch 1.0-4.fc13                     fedora  12 k
 maven-shared-verifier       noarch 1.2-4.fc13                     fedora  75 k
 maven-surefire              noarch 2.3-7.7.fc12                   fedora  75 k
 maven-wagon                 noarch 1.0-0.2.b2.7.fc12              fedora 122 k
 maven2-common-poms          noarch 1.0-12.fc13                    fedora  99 k
 modello                     noarch 1.0-0.4.a15.0.1.fc12           fedora 321 k
 msv-msv                     x86_64 1:1.2-0.4.20050722.3.4.fc12.1  fedora 1.0 M
 msv-xsdlib                  x86_64 1:1.2-0.4.20050722.3.4.fc12.1  fedora 239 k
 nekohtml                    noarch 0.9.5-6.2.fc12                 fedora 128 k
 netbeans-ide                noarch 6.8-6.fc13                     fedora 7.2 M
 netbeans-resolver           noarch 6.7.1-1.fc12                   fedora 105 k
 netbeans-svnclientadapter   noarch 6.7.1-2.fc12                   fedora 118 k
 plexus-ant-factory          noarch 1.0-0.4.a2.1.2.fc13            fedora  16 k
 plexus-archiver             noarch 1.0-0.4.a12.4.fc13             fedora 164 k
 plexus-bsh-factory          noarch 1.0-0.4.a7s.1.11.fc13          fedora  11 k
 plexus-compiler             noarch 1.5.2-4.3.fc12                 fedora  49 k
 plexus-container-default    noarch 1.0-0.3.a8.1.2.fc12            fedora 146 k
 plexus-i18n                 noarch 1.0-0.b10.2.fc13               fedora  17 k
 plexus-interactivity        noarch 1.0-0.3.a5.2.3.fc12            fedora  12 k
 plexus-io                   noarch 1.0-0.2.a5.fc13                fedora  45 k
 plexus-utils                noarch 1.4.5-1.2.fc12                 fedora 191 k
 plexus-velocity             noarch 1.1.8-5.fc13                   fedora  14 k
 pmd                         noarch 4.2.5-5.fc13                   fedora 1.1 M
 relaxngDatatype             noarch 1.0-5.3.fc13                   fedora  15 k
 subversion-javahl           x86_64 1.6.13-1.fc13                  updates
                                                                          162 k
 swingx                      noarch 0.9.4-7.fc12                   fedora 1.0 M
 velocity                    noarch 1.6.3-3.fc13                   fedora 387 k
 werken-xpath                x86_64 0.9.4-5.beta.12.3.fc13         fedora 141 k
 ws-jaxme                    noarch 0.5.1-4.4.fc12                 fedora 1.1 M
 xml-commons-apis-javadoc    noarch 1.4.01-1.fc13                  fedora 486 k
 xml-commons-apis12          x86_64 1.2.04-3.5.fc12                fedora 216 k
 xmldb-api                   x86_64 1:0.1-0.4.20011111cvs.1.3.fc12 fedora  22 k
 xmldb-api-sdk               x86_64 1:0.1-0.4.20011111cvs.1.3.fc12 fedora  53 k
 xmlrpc                      x86_64 2.0.1-6.6.fc13                 fedora 308 k
 xmlunit                     x86_64 1.0-8.3.fc13                   fedora 187 k
 xom                         noarch 1.0-5.6.fc13                   fedora 180 k
 xpp2                        noarch 2.1.10-8.3.fc13                fedora 122 k
 xpp3                        noarch 1.1.3.8-3.3.fc13               fedora 293 k

Riepilogo della transazione
================================================================================
Install      80 Package(s)

Dimensione totale del download: 36 M
Dimensione installata: 104 M
Procedere [s/N]: Uscita richiesta dall'utente
Completo!


Expected results:
Not ask for installing non mandatory packages (does maven really require netbeans-ide to work?!??!?)

Comment 1 Alexander Kurtakov 2010-11-17 11:08:42 UTC
It doesn't require netbeans-ide but it requires netbeans-cvs library. Which has been separate in a rpm of it's own and fixed in Fedora 14.
A big number of this packages is mandatory i.e. will be downloaded by maven on the first run by shipping them we allow people to run maven even without Internet access.
This is by no means saying that there aren't unneeded dependencies but we need them pointed just like you did with the netbeans-ide which has been addressed already. Also it would be good if you update to Fedora 14 because Maven has been updated to version 2.2.1 and a number of dependencies has changed/simplified and etc.

Comment 2 Guido Grazioli 2010-11-17 11:14:56 UTC
> (does maven really require netbeans-ide to work?!??!?)

Unfortunately; maven-scm relies on cvsclient which is a library component of netbeans-ide package in F13. That has been fixed in F14 where cvsclient was stripped out (you will still get netbeans-platform pull in the yum transaction though).

See also #572165 #626455

Comment 3 Alexander Kurtakov 2010-11-26 12:51:11 UTC
I'll soon(1 week) close this bug unless there are some unneeded dependencies on F14 identified. 
The change to maven 2.2.1 is not something that will happen to F13 nor netbeans will be updated to the new version with separate cvsclient.

Comment 4 Alexander Kurtakov 2010-12-08 13:14:31 UTC
No action. Closing.